
#if !defined(AFX_WIN32DX_H__FEBBAAC5_0946_45CC_97CA_5703F9D6696A__INCLUDED_)
#define AFX_WIN32DX_H__FEBBAAC5_0946_45CC_97CA_5703F9D6696A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

CDXSurfaceManager dxMgr_;
class CPen
{
	HPEN p_;
	HGDIOBJ op_;
	const HDC& hdc_;

public:

	CPen(const HDC& hdc, UINT Style, UINT Width, int clr)
		:hdc_(hdc)
	{
		p_ = ::CreatePen(Style, Width, clr);
		op_ = ::SelectObject(hdc, p_);
	}

	~CPen()
	{
		::SelectObject(hdc_, op_);	
		::DeleteObject(p_);
	}
} ;

CPen GetPen(const HDC& hdc, UINT Style, UINT Width, int clr)
{
	return CPen(hdc, Style, Width, clr);
}

void filllines(HDC& hdc, const XRect& client, int clr = -1)
{
	static int gap = 80;
	
	CPen p = GetPen(hdc, PS_DASHDOTDOT, 1, clr);
	for (int i = gap ; i <= client.Height(); i = i+gap)
	{
		::MoveToEx(hdc, 0, i, NULL);
		::LineTo(hdc, client.Width(), i);
	}

	for (i = 80 ; i <= client.Width(); i = i+80)
	{
		::MoveToEx(hdc, i, 0, NULL);
		::LineTo(hdc, i, client.Height());
	}
}


#endif // !defined(AFX_WIN32DX_H__FEBBAAC5_0946_45CC_97CA_5703F9D6696A__INCLUDED_)
